Zum Hauptinhalt springen

Authenticate an user with an access token retrieval key

POST/v2/authenticate-token-retrieval-key
API-Version
v2
Request-Methode
POST
Operation-ID
user-authenticate-with-access-token-retrieval-key

Request​

Responses​

Format
application/json
Beschreibung

Your authentication request was successful and you've got an access token.

  • expiresAtstring (date-time)required

    The expiration date of the token.

  • refreshTokenstringrequired

    Refresh token to refresh your access token even after it has expired.

  • tokenstringrequired

    Public token to identify yourself against the public api.

Content-Type: application/json

{
"expiresAt": "1985-10-26T01:21:00.000Z",
"refreshToken": "string",
"token": "string"
}
{
"properties": {
"expiresAt": {
"description": "The expiration date of the token.",
"format": "date-time",
"type": "string"
},
"refreshToken": {
"description": "Refresh token to refresh your access token even after it has expired.",
"type": "string"
},
"token": {
"description": "Public token to identify yourself against the public api.",
"type": "string"
}
},
"required": [
"token",
"refreshToken",
"expiresAt"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"accessTokenRetrievalKey":"string","userId":"f0f86186-0a5a-45b2-aa33-502777496347"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/authenticate-token-retrieval-key
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.authenticateWithAccessTokenRetrievalKey({
"data": {
"accessTokenRetrievalKey": "string",
"userId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\AuthenticateWithAccessTokenRetrievalKey\AuthenticateWithAccessTokenRetrievalKeyRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\AuthenticateWithAccessTokenRetrievalKey\AuthenticateWithAccessTokenRetrievalKeyRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// AuthenticateWithAccessTokenRetrievalKeyRequestBody to learn how to construct a valid instance
$body = new AuthenticateWithAccessTokenRetrievalKeyRequestBody(/* TODO: ... */);

$request = (new AuthenticateWithAccessTokenRetrievalKeyRequest(
body: $body
));
$response = $client->user()->authenticateWithAccessTokenRetrievalKey($request);

var_dump($response->getBody();

Auf dieser Seite